## ussd4all 0.0.0-1

=== Makefile ===
#############################################################################
# Makefile for building: ussd4all
# Generated by qmake (2.01a) (Qt 4.6.2) on: ?? ???? 9 08:24:31 2010
# Project:  ussd4all.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile ussd4all.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: ussd4all.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile ussd4all.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile ussd4all.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
ussd4all (0.0.0-1) unstable; urgency=low

  * Reincarnation of ussd-common with GUI and hack, that disables nokia's USSD
    implementation

 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  8 Jun 2010 17:21:05 +0000

=== debian/control ===
Source: ussd4all
Section: user/system
Priority: extra
Maintainer: Alexey Guseynov <kibergus@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: ussd4all
Architecture: any
Depends:  coreutils-gnu, python2.5, pexpect, python-dbus, python-gobject, libc6 (>= 2.5.0-1), libgcc1 (>= 3.4.4), libqt4-core (>= 4.4.0), libqt4-gui (>= 4.4.0), libstdc++6 (>= 3.4.4), ${shlibs:Depends}
XB-Maemo-Display-Name: USSD for all
Description: Command line and GUI utility for making USSD queries
  This package fixes https://bugs.maemo.org/show_bug.cgi?id=10353 which nokia is unable to fix. This allows other applications to make USSD queries.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1219
Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBBRQWL9mpz0kAAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACUUlEQVRIx8WVPWgVQRSFvxtiUBD/EAkERKuJ
 0U6FV6mFgsiolaBNsPInIKiFhYJIjDaCgiAEBOGBUYtIEEbB1/jTRGMVITwmFkoEwxMtlPdAjXFs
 bmRdd9ZsXiCnubszd/fcO3PmjKBwPgQAa0TIQNa882EPcBLYDCwDPgFPgV5rpJr8voU5wvnQDTwE
 dgGrgFagHTgIjDgfNs4LEXBR42WgQ4k6taOlwKVkcmsTRGs0DlkjH/TZOx+OAOPAjvkiqgD7gGHn
 wxBwG3hsjbwB/tnnZpbuGDCqxR4AHgA150O/82F9HlGYxc//5Fgjk6q2QyqKb8By4Cgw5nzYFiP6
 rmpalKGwNn38kRy3RqatkXvWiAVWa2fPgSXA1RjRR42dGZ2s0/g5QV5zPgTnwwYlbVgjg8BeTdkU
 E8MwsBa443w4AbwEfgJdwHXNGUnkPwIOA2XnQw/wGlgJnNX5dzGi88BOreRJRld14ELivVdVtxV4
 lbGX5zKXzhoZ1829BUwAU8AvYBIYALZYI6OJ/LdACbgL1IBp4KsWudsauc9CQFLqmpVJzhhsaqka
 QBW4YY2Uo0RqkuVIQXWgZI2MRYjSuGaNnI7Ju5BJzlwZem20qWLPqFJPOR+2x1RXyCRThFPAe+CK
 82GxKrIHeJZFVMgkczCgRKXY0hUyyRxMaGyPnaNCJlkULXM1yRx0pLzz7z1yPtRUEF3WSNUaaQCD
 zocK8CVtkjnYr/FFTHWFTDJ10AVYAVigT4dvxogKmeR/Dm6/NVKJiaFZk6zrVdNtjRxnofAbC1T2
 CPUkSeUAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := ussd4all
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

	mkdir -p "$(CURDIR)/debian/ussd4all/usr/lib/python2.5/"
	cp -a "ussdquery/gsmdecode.py" "$(CURDIR)/debian/ussd4all/usr/lib/python2.5/gsmdecode.py"
	mkdir -p "$(CURDIR)/debian/ussd4all/usr/bin/"
	cp -a "ussdquery/ussdquery.py" "$(CURDIR)/debian/ussd4all/usr/bin/ussdquery.py"

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ussd4all 0.0.1-1

=== debian/changelog ===
ussd4all (0.0.1-1) unstable; urgency=low

  * librtcom patcher from Dani Church and fixed event.d script
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  23 Jun 2010 11:21:05 +0003

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ussd4all
 Architecture: any
-Depends:  coreutils-gnu, python2.5, pexpect, python-dbus, python-gobject, libc6 (>= 2.5.0-1), libgcc1 (>= 3.4.4), libqt4-core (>= 4.4.0), libqt4-gui (>= 4.4.0), libstdc++6 (>= 3.4.4), ${shlibs:Depends}
+Depends:  python2.5, pexpect, python-dbus, python-gobject, libc6 (>= 2.5.0-1), libgcc1 (>= 3.4.4), libqt4-core (>= 4.4.0), libqt4-gui (>= 4.4.0), libstdc++6 (>= 3.4.4), ${shlibs:Depends}
 XB-Maemo-Display-Name: USSD for all
 Description: Command line and GUI utility for making USSD queries
   This package fixes https://bugs.maemo.org/show_bug.cgi?id=10353 which nokia is unable to fix. This allows other applications to make USSD queries.

## ussd4all 0.0.2-1

=== debian/changelog ===
ussd4all (0.0.2-1) unstable; urgency=low

  * Fixed library symlink issue
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  03 July 2010 16:21:05 +0003

## ussd4all 0.0.3-1

=== debian/changelog ===
ussd4all (0.0.3-1) unstable; urgency=low

  * Fixed PR 1.3 issue. postinst does not break phone if library is not
    recognized. Multiple * can be entered.
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  03 July 2010 16:21:05 +0003

## ussd4all 0.0.4-1

=== debian/changelog ===
ussd4all (0.0.4-1) unstable; urgency=low

  * Word wrap in qussd. Text can be copyed. Better pnatd initialization in
    ussdquery.py.
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  03 July 2010 16:21:05 +0003

## ussd4all 0.0.5-1

=== src/Makefile ===
#############################################################################
# Makefile for building: qussd
# Generated by qmake (2.01a) (Qt 4.6.2) on: ?? ???? 10 00:23:39 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -pipe -march=native -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -pipe -march=native -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib64/qt4
LIBS          = $(SUBLIBS)  -L/usr/lib64/qt4 -lQtGui -L/usr/lib64 -L/usr/lib64/qt4 -L/usr/X11R6/lib -lQtCore -lgthread-2.0 -lrt -lglib-2.0 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qussd.cpp 
OBJECTS       = qussd.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qussd
DESTDIR       = 
TARGET        = qussd

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib64/qt4/libQtGui.prl \
		/usr/lib64/qt4/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib64/qt4/libQtGui.prl:
/usr/lib64/qt4/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qussd1.0.0 || $(MKDIR) .tmp/qussd1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qussd1.0.0/ && $(COPY_FILE) --parents qussd.cpp .tmp/qussd1.0.0/ && (cd `dirname .tmp/qussd1.0.0` && $(TAR) qussd1.0.0.tar qussd1.0.0 && $(COMPRESS) qussd1.0.0.tar) && $(MOVE) `dirname .tmp/qussd1.0.0`/qussd1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qussd1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: qussd.moc
compiler_moc_source_clean:
	-$(DEL_FILE) qussd.moc
qussd.moc: qussd.cpp
	/usr/bin/moc $(DEFINES) $(INCPATH) qussd.cpp -o qussd.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

qussd.o: qussd.cpp qussd.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qussd.o qussd.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/bin/ || $(MKDIR) $(INSTALL_ROOT)/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/share/applications/hildon/ 
	-$(INSTALL_FILE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/qussd.desktop $(INSTALL_ROOT)/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/applications/hildon/qussd.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/share/applications/hildon/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/ussd.png $(INSTALL_ROOT)/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/icons/hicolor/48x48/apps/ussd.png
	-$(DEL_DIR) $(INSTALL_ROOT)/share/icons/hicolor/48x48/apps/ 


install_ussdd: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/bin/ || $(MKDIR) $(INSTALL_ROOT)/bin/ 
	-$(INSTALL_PROGRAM) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/ussdd $(INSTALL_ROOT)/bin/
	-strip $(INSTALL_ROOT)/bin/ussdd


uninstall_ussdd:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/bin/ussdd
	-$(DEL_DIR) $(INSTALL_ROOT)/bin/ 


install_event: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../etc/event.d/ || $(MKDIR) $(INSTALL_ROOT)/../etc/event.d/ 
	-$(INSTALL_FILE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/src/event.d/ussdd $(INSTALL_ROOT)/../etc/event.d/


uninstall_event:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/../etc/event.d/ussdd
	-$(DEL_DIR) $(INSTALL_ROOT)/../etc/event.d/ 


install_patch: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/lib/ || $(MKDIR) $(INSTALL_ROOT)/lib/ 
	-$(INSTALL_FILE) /opt/scratchbox/users/parents/home/parents/ussd/ussd-widget/trunk/ussd4all/rtcom/librtcom-call-ui.patch $(INSTALL_ROOT)/lib/


uninstall_patch:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/lib/librtcom-call-ui.patch
	-$(DEL_DIR) $(INSTALL_ROOT)/lib/ 


install:  install_target install_desktop install_icon48 install_ussdd install_event install_patch  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_icon48 uninstall_ussdd uninstall_event uninstall_patch   FORCE

FORCE:

=== debian/changelog ===
ussd4all (0.0.5-1) unstable; urgency=low

  * Fixed black font in qussd when launched by ussdd. ussdd doesn't launch
    qussd if message is empty.
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  03 July 2010 16:21:05 +0003

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Description: Command line and GUI utility for making USSD queries
   This package fixes https://bugs.maemo.org/show_bug.cgi?id=10353 which nokia is unable to fix. This allows other applications to make USSD queries.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1219
-Maemo-Icon-26: 
+XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBBRQWL9mpz0kAAAAZdEVYdENv
  bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACUUlEQVRIx8WVPWgVQRSFvxtiUBD/EAkERKuJ

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	cp -a "ussdquery/gsmdecode.py" "$(CURDIR)/debian/ussd4all/usr/lib/python2.5/gsmdecode.py"
 	mkdir -p "$(CURDIR)/debian/ussd4all/usr/bin/"
 	cp -a "ussdquery/ussdquery.py" "$(CURDIR)/debian/ussd4all/usr/bin/ussdquery.py"
+	cp -a "rtcom/rtcompatcher.py" "$(CURDIR)/debian/ussd4all/usr/bin/rtcompatcher.py"
 
 # Build architecture-independent files here.
 binary-indep: build install

## ussd4all 0.0.6-1

=== debian/changelog ===
ussd4all (0.0.6-1) unstable; urgency=low

  * Patch from Pali Rohár for simplified interface when handling simple reply.
    Code refactoring.
 -- Alexey Guseynov <kibergus@gmail.com>  Tue,  03 July 2010 16:21:05 +0003

## ussd4all 0.0.7-1

=== debian/changelog ===
ussd4all (0.0.7-1) unstable; urgency=low

  * Simplify ussdd event.d file: use one exec line and fix dependences
    This fix stopping & restarting ussdd daemon via upstart
    This will reduce number of running daemon processes from 3 to 1

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 11 May 2013 11:51:50 +0200
